/* Blinker
   Copyright 2011-2019 Stefan Schuermans <stefan@blinkenarea.org>
   Copyleft GNU public license - http://www.gnu.org/copyleft/gpl.html
   a blinkenarea.org project */

#include <sstream>
#include <string>

#include "Position.h"
#include "StringParser.h"

namespace Blinker {

/// constructor
Position::Position():
  m_x(0),
  m_y(0)
{
}

/**
 * @brief parse from string format
 * @param[in] str string format
 * @return if parsing was successful
 */
bool Position::fromStr(const std::string &str)
{
  StringParser parser(str);
  unsigned int x, y;

  if (!parser.uintNo(x) ||
      !parser.fixChr(',') ||
      !parser.uintNo(y) ||
      !parser.isDone())
    return false;
  m_x = x;
  m_y = y;
  return true;
}

/**
 * @brief convert to string format
 * @return string format
 */
std::string Position::toStr() const
{
  std::stringstream strm;
  strm << m_x << "," << m_y;
  return strm.str();
}

} // namespace Blinker

